version: '3.7'

services:
  gateway:
    image: vngrci/gateway:${VERSION}
    container_name: KONG-gateway
    build:
      context: ../gateway
    volumes:
      - ../gateway/conf/kong/kong.dev.conf:/etc/kong/kong.conf
      - ../gateway/conf/gateway/kong.local.yml:/usr/local/kong/declarative/kong.yml
    environment:
      - KONG_LOG_LEVEL=debug
    ports:
      - "8081:8080"
    networks:
      - vng-um-pilot-network

  elasticsearch:
    image: docker.elastic.co/elasticsearch/elasticsearch:7.17.8
    container_name: elasticsearch
    environment:
      TZ: ${TIME_ZONE}
      cluster.name: vng
      node.name: node-1
      cluster.initial_master_nodes: node-1
      ES_JAVA_OPTS: -Xms512m -Xmx512m
    volumes:
      - esdata:/usr/share/elasticsearch/data
    ulimits:
      memlock:
        soft: -1
        hard: -1
    ports:
      - 8084:9200
    networks:
      - vng-um-pilot-network

  kibana:
    image: docker.elastic.co/kibana/kibana:7.17.8
    container_name: kibana
    environment:
      - elasticsearch.hosts=http://elasticsearch:8084
    ports:
      - 8082:5601
    depends_on:
      - elasticsearch
    networks:
      - vng-um-pilot-network

volumes:
  esdata:
    driver: local

networks:
  vng-um-pilot-network:
    driver: bridge